import { AxisDescription } from "./AxisDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class NumericAxisBaseDescription extends AxisDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private dc;
    get minimumValue(): number;
    set minimumValue(a: number);
    private c6;
    get actualMinimumValue(): number;
    set actualMinimumValue(a: number);
    private c9;
    get actualVisibleMinimumValue(): number;
    set actualVisibleMinimumValue(a: number);
    private db;
    get maximumValue(): number;
    set maximumValue(a: number);
    private c5;
    get actualMaximumValue(): number;
    set actualMaximumValue(a: number);
    private c8;
    get actualVisibleMaximumValue(): number;
    set actualVisibleMaximumValue(a: number);
    private da;
    get interval(): number;
    set interval(a: number);
    private c4;
    get actualInterval(): number;
    set actualInterval(a: number);
    private dd;
    get minorInterval(): number;
    set minorInterval(a: number);
    private c7;
    get actualMinorInterval(): number;
    set actualMinorInterval(a: number);
    private de;
    get referenceValue(): number;
    set referenceValue(a: number);
    private c0;
    get isLogarithmic(): boolean;
    set isLogarithmic(a: boolean);
    private cz;
    get actualIsLogarithmic(): boolean;
    set actualIsLogarithmic(a: boolean);
    private dr;
    get logarithmBase(): number;
    set logarithmBase(a: number);
    private cy;
    get abbreviateLargeNumbers(): boolean;
    set abbreviateLargeNumbers(a: boolean);
}
